#!/bin/bash

# Setup initial mutellrc, start up mutella and browser user interface, kill mutella on exit
# by wdef

goodbye(){
# Mutella has a bug which can cause threads to hang on exit, so ...
killall mutella
}

trap goodbye SIGTERM SIGHUP SIGINT

MUTELLARC=/home/dsl/.mutella/mutellarc
DEFAULTRC=/opt/.default_mutellarc


if ! ps -A | grep -w -q mutella; then

	# Mutella is not already running

	[ ! -d /home/dsl/.mutella ] && mkdir /home/dsl/.mutella

	# Install mutellarc with our GWebCaches
	if [ ! -f "${MUTELLARC}" ]; then
	
		cp ${DEFAULTRC} ${MUTELLARC}
	
		# Get  external IP address for mutella in the hope it hurries things up
		# Mutella perhaps connect even more slowly without this?
		
		MYIP=$(wget -O - http://whatismyip.com | perl -lane 'if (/<TITLE>WhatIsMyIP.com - ((\d+\.*)+)/) { print "$1"}')

		[ -z "$MYIP" ] && exit 1 # no IP found, probably not connected.

		sed -i "/^\[LocalHost\]/a\
LocalIP = $MYIP" ${MUTELLARC}

	
	fi

	( firefox http://localhost:6346/remote/ || /usr/seamonkey/seamonkey http://localhost:6346/remote/ ) &
	aterm -e mutella
	goodbye
fi


